### Enumeration

# ICalGLib RecurrenceByRule

#### Declaration

    enum ICalGLib.RecurrenceByRule

#### Description

No description available.

#### Members

`I_CAL_BYRULE_NO_CONTRACTION`

  No description available.

  - Value: `-1`
  - Available since: 4.0
`I_CAL_BY_MONTH`

  No description available.

  - Value: `0`
  - Available since: 4.0
`I_CAL_BY_WEEK_NO`

  No description available.

  - Value: `1`
  - Available since: 4.0
`I_CAL_BY_YEAR_DAY`

  No description available.

  - Value: `2`
  - Available since: 4.0
`I_CAL_BY_MONTH_DAY`

  No description available.

  - Value: `3`
  - Available since: 4.0
`I_CAL_BY_DAY`

  No description available.

  - Value: `4`
  - Available since: 4.0
`I_CAL_BY_HOUR`

  No description available.

  - Value: `5`
  - Available since: 4.0
`I_CAL_BY_MINUTE`

  No description available.

  - Value: `6`
  - Available since: 4.0
`I_CAL_BY_SECOND`

  No description available.

  - Value: `7`
  - Available since: 4.0
`I_CAL_BY_SET_POS`

  No description available.

  - Value: `8`
  - Available since: 4.0
`I_CAL_BY_NUM_PARTS`

  No description available.

  - Value: `9`
  - Available since: 4.0